package models

type RoleAccess struct {
	ID       string   `json:"id" gorm:"column:id" bson:"_id"`
	RoleId   string   `json:"role_id" gorm:"column:role_id" bson:"role_id"`       // 角色ID
	AccessID []string `json:"access_id" gorm:"column:access_id" bson:"access_id"` // 权限ID MAP
}

func (t *RoleAccess) TableName() string {
	return "role_access"
}

func (t *RoleAccess) GetID() string {
	return t.ID
}
